package com.cab.model;

import java.util.List;

public class ContentType {
    private String id;

    private Integer level;

    private String parentTypeId;
    
    private ContentType parentType;

    private String name;
    //缩略图
    private String imgUrl;
    //是否可以跳转
    private Integer canInto;
    //分类内容条数
    private Integer pushCount;
    
    private Integer displayMode;
    //内容列表
    private List<Content> contentList;
    //子分类列表
    private List<ContentType> subTypeList;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public String getParentTypeId() {
        return parentTypeId;
    }

    public void setParentTypeId(String parentTypeId) {
        this.parentTypeId = parentTypeId == null ? null : parentTypeId.trim();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }
    public Integer getCanInto() {
        return canInto;
    }

    public void setCanInto(Integer canInto) {
        this.canInto = canInto;
    }

    public Integer getPushCount() {
        return pushCount;
    }

    public void setPushCount(Integer pushCount) {
        this.pushCount = pushCount;
    }

    public Integer getDisplayMode() {
        return displayMode;
    }

    public void setDisplayMode(Integer displayMode) {
        this.displayMode = displayMode;
    }

	public List<Content> getContentList() {
		return contentList;
	}

	public void setContentList(List<Content> contentList) {
		this.contentList = contentList;
	}

	public ContentType getParentType() {
		return parentType;
	}

	public void setParentType(ContentType parentType) {
		this.parentType = parentType;
	}

	public List<ContentType> getSubTypeList() {
		return subTypeList;
	}

	public void setSubTypeList(List<ContentType> subTypeList) {
		this.subTypeList = subTypeList;
	}
}